Arch SectionPlane/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Arch SectionPlane|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Section Plane|Shortcut=S P}}
{{GuiCommand/sv|Name=Arch SectionPlane|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Section Plane|Shortcut=S P}}
</div>


==Beskrivning==
==Beskrivning==


<div class="mw-translate-fuzzy">
This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo take his placement according to the current [[Draft_SelectPlane|Draft Working Plane]] and can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider a certain set of objects. Objects that are selected when you create a Section Plane will be added to that set automatically. Other objects can later be added or removed from a SectionPlane object with the [[Arch Add]] and [[Arch Remove]] tools, or by double-clicking the Section Plane in the tree view.
Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.
</div>


<div class="mw-translate-fuzzy">
The Section Plane alone won't create any view of its objects set. For that, you must either create a [[Drawing DraftView|Drawing DraftView]] to create a view on a [[Drawing Module|Drawing page]], a [[Draft Shape2DView]] to create a view in the 3D document itself, or a [[TechDraw NewArch|TechDraw ArchView]] to create a view in a [[TechDraw Module|TechDraw page]].
Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med [[Arch Add/sv|Arch Add]] och [[Arch Remove/sv|Arch Remove]] verktygen.

Vid skapandet, så skapar SectionPlane objekt för närvarande ett [[Drawing Module/sv|Ritningssida]] objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.
</div>


[[Image:Arch SectionPlane example.jpg|600px]]
[[Image:Arch SectionPlane example.jpg|600px]]
Line 12: Line 20:
====Bruk====
====Bruk====


<div class="mw-translate-fuzzy">
# Optionally, set the [[Draft_SelectPlane|Draft Working Plane]] to reflect the plane where you want to place the Section Plane
* Välj objekt
# Select objects you want to be included in your section view
# Press the {{KEY|[[Image:Arch SectionPlane.png|16px]] '''SectionPlane'''}} button or press {{KEY|S}} then {{KEY|P}} keys
* Klicka [[Image:Arch SectionPlane.png|16px]] '''SectionPlane''' knappen
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the Section Plane into correct position if needed
* Flytta/rotera Section Plane till korrekt position
* Klicka på [[Image:Std Recompute.png|16px]] '''Beräkna om''' knappen för att uppdatera vyn
# Select the Section Plane if not selected already
</div>
# Use either [[Drawing DraftView|Drawing DraftView]], [[Draft Shape2DView]] or [[TechDraw NewArch|TechDraw ArchView]] to create a view


==Options==
==Options==

Revision as of 09:39, 7 May 2018

Arch SectionPlane

Menyplacering
Arch -> Section Plane
Arbetsbänkar
Arch
Standard genväg
S P
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.

Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med Arch Add och Arch Remove verktygen.

Vid skapandet, så skapar SectionPlane objekt för närvarande ett Ritningssida objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.

Till vänster i bilden ovan placeras ett Section Plane objekt i scenen, och till höger dess SVG 2D representation. Ytsortering är för närvarande inte helt implementerad.

Bruk

  • Välj objekt
  • Klicka på SectionPlane knappen
  • Flytta/rotera Section Plane till korrekt position
  • Klicka på Beräkna om knappen för att uppdatera vyn

Options

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Properties

  • DataOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VyDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyCut View: If this is true, the whole 3D view will be cut at the location of this section plane (experimental).

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])